Emby server

Hi friends. I had my emby server working in my s912 kiii and today I have had the amazing idea to update to v4, which is in the repository too.
First, I deleted my emby v3 cause It doesn’t update. Now I can’t update to v4 neither install v3 again .
I think is a problem with the dot net tool. I tried installing manually, downloading the addons in zip format. But it’s impossible, it remains at 50%…
What can I do? I think I can’t make a downgrade cause there aren’t old openelecs in the server. Thank you.

Solved.
I downloaded the emby server4 in zip version, then I copied to my addons folder. I rebooted, go to the addons, emby and I enabled it.
I hope this help somebody.

I like to play, can you provide a link to the emby server for amlogic devices.

I thought there was only emby client add ons for kodi